gnutls_x509_rdn_get(3)

NAME
gnutls_x509_rdn_get - parse an RDN sequence and returns a string

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get(const gnutls_datum_t * idn, char * buf, size_t * sizeof_buf);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

char * buf
    a pointer to a structure to hold the peer's name

size_t * sizeof_buf
    holds the size of buf

DESCRIPTION
This function will return the name of the given RDN sequence. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC2253.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, or GNUTLS_E_SHORT_MEMORY_BUFFER is returned and *sizeof_buf is updated if the provided buffer is not long enough, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.